$primary-font: "Open Sans";
$primary-color: white;
$green-color: #26C17E;
$main-theme-color: #222935;
$inactive-color: #667081;

%font-pattern {
    font-family: $primary-font;
    font-size: 16px;
    font-style: normal;
    font-weight: normal;
    line-height: 120%;
}

.skills-container {
    margin-bottom: 49px;
}

.skills-container-flex {
    display: flex;
    flex-direction: row;
}

.edit-btn {
    background: $main-theme-color;
    border-radius: 5px;
    width: 138px;
    height: 40px;
    position: absolute;
    right: 30px;
    font-size: 16px;
    line-height: 19px;  
    cursor: pointer;
    border: none;
}

.edit-btn:hover {
    background: $green-color;
}

.edit-btn__text {
    @extend %font-pattern;
    margin-bottom: 5px;
}

.edit-btn__icon {
    margin-right: 7.33px;
    margin-top: 5px;
}

.edit-btn__text, .edit-btn__icon {
    color: $primary-color;
}

.skills-scale-vertical {
    display: flex;
    flex-direction: row;
    position: relative;
}

.skills-scale__vertical-line {
    width: 1px;
    height: 10px;
    margin-bottom: 0px;
}

.line-2, .line-3 {
    margin-left: 33%;
}

.line-4 {
    margin-left: 33.66%;
}

.skills-scale__horizontal-line {
    width: 100%;
    height: 1px;
}

.skills-scale__vertical-line, .skills-scale__horizontal-line {
    background-color: $inactive-color;
    position: relative;
}

.level {
    display: flex;
    flex-direction: row;
    position: relative;
    margin-top: 10px;
}

.level-name {
    @extend %font-pattern;
    font-size: 12px;
    color: #667081;
}

.name-2 {
    margin-left: 31%;
}

.name-3 {
    margin-left: 65%;
}

.name-4 {
    margin-left: 30%;
    right: 0px;
}

.name-2, .name-3, .name-4 {
    position: absolute;
}

@media only screen and (max-width: 800px) {
    .edit-btn {
        width: 70px;
    }

    .edit-btn__text {
        display: none;
    }
}